package com.tptj.demo.hg.http.handler;

import com.fanruan.api.web.ResponseKit;
import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.tptj.api.start.RequestKit;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-03-22
 * 只有超管可以访问的接口实现
 * http://localhost:8075/webroot/decision/plugin/private/com.tptj.demo.hg.http.handler.v10/demo/admin
 * body = {"key":"hello","value":"测试"}
 * header: Authorization=Bearer $Fine_Auth_Token
 **/
public class AdminHttpHandler extends BaseHttpHandler {
    @Override
    public RequestMethod getMethod() {
        return RequestMethod.GET;
    }

    @Override
    public String getPath() {
        return "/demo/admin";
    }

    @Override
    public boolean isPublic() {
        return false;
    }

    @Override
    public boolean needAdmin() {
        return true;
    }

    @Override
    public void handle(HttpServletRequest request, HttpServletResponse response) throws Exception {
        TestRequestBean bean = RequestKit.readObject(request,TestRequestBean.class);
        RequestKit.print(request,response, ResponseKit.ok(bean));
    }
}
