package com.tptj.demo.hg.http.handler;

import com.fr.decision.fun.HttpHandler;
import com.fr.decision.fun.impl.AbstractHttpHandlerProvider;
import com.fr.intelli.record.Focus;
import com.fr.record.analyzer.EnableMetrics;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-03-22
 **/
@EnableMetrics
public class Demo extends AbstractHttpHandlerProvider {
    @Override
    @Focus(id = "com.tptj.demo.hg.http.handler.v10",text = "http请求")
    public HttpHandler[] registerHandlers() {
        return new HttpHandler[]{
            new PublicHttpHandler(),
            new AdminHttpHandler(),
            new ModulesHttpHandler(),
            new UserHttpHandler()
        };
    }
}
